# -*- rpm-spec -*-
# $Id: bluez-utils,v 1.39 2005/04/14 09:26:41 grigory Exp $

Name: bluez-utils
Version: 2.15
Release: alt4

Summary: BlueZ - Bluetooth protocol stack for Linux
License: GPL
Group: Networking/Other
Url: http://bluez.sourceforge.net/

Source0: %name-%version.tar.gz
Source1: bluetooth.init
Source2: bluetooth.mod

# Requires: python

Provides: bluez-sdp bluez-sdp-devel bluez-pan
Obsoletes: bluez-sdp bluez-sdp-devel bluez-pan

# Automatically added by buildreq on Mon Jun 21 2004
BuildRequires: flex glib-devel glibc-devel-static
#BuildRequires: pcmcia-cs python
#BuildRequires: python 
BuildRequires: kernel-headers-std26-up
BuildRequires: libbluez-devel >= 2.15-alt1

%package pcmcia
Summary: BlueZ - Bluetooth protocol stack for Linux, pcmcia scripts
Group: Networking/Other
Requires: %name = %version-%release

%package misc
Summary: BlueZ - Bluetooth protocol stack for Linux, miscellaneous tools
Group: Networking/Other
Requires: %name = %version-%release

%description
BlueZ - Bluetooth protocol stack for Linux

%description pcmcia
BlueZ - Bluetooth protocol stack for Linux
Scripts for pcmcia BlueTooth adapters


%description misc
other bluez-utils tools.

%prep
%setup -q
%__subst 's|/default|/sysconfig|g; s|\(/init.d\)|/rc.d\1|' scripts/{Makefile.{am,in},bluetooth.init}
%__subst 's|^\(set_display\)|#\1|' scripts/bluepin

%build
%configure
%make_build

%install
%__mkdir_p %buildroot{%_sysconfdir/{modutils.d,sysconfig,pcmcia},%_initdir}
%__subst 's|$(DESTDIR)/etc/rc.d/init.d|${initdir}|g' scripts/Makefile
%makeinstall \
	initdir=%buildroot%_initdir \
	confdir=%buildroot%_sysconfdir/bluetooth \
	pcmciadir=%buildroot%_sysconfdir/pcmcia

%__rm -f %buildroot%_initdir/bluetooth

%__subst "s|^\(HIDD_ENABLE=\).*|\1false|" scripts/bluetooth.default
%__install -m 0644 scripts/bluetooth.default %buildroot%_sysconfdir/sysconfig/bluetooth
%__install -m 0644 pcmcia/bluetooth %buildroot%_sysconfdir/pcmcia/bluetooth
%__install -m 0644 pcmcia/bluetooth.conf %buildroot%_sysconfdir/pcmcia/bluetooth.conf

%__install -m 0755 %SOURCE1 %buildroot%_initdir/bluetooth
%__install -m 0644 %SOURCE2 %buildroot%_sysconfdir/modutils.d/bluetooth

%files
%doc AUTHORS COPYING ChangeLog README
%dir %_sysconfdir/bluetooth
%config(noreplace) %_sysconfdir/bluetooth/*
%config(noreplace) %_sysconfdir/sysconfig/bluetooth
%config(noreplace) %_sysconfdir/modutils.d/bluetooth
%_initdir/*
%_bindir/dund
%_bindir/ciptool
%_bindir/hidd
%_bindir/l2ping
%_bindir/pand
%_bindir/rfcomm
%_bindir/sdptool
%_bindir/hcitool
%_sbindir/*
%_man1dir/*
%_man5dir/*
%_man8dir/*

%files pcmcia
%_sysconfdir/pcmcia/*

%files misc
%_bindir/bluepin

%changelog
* Thu Apr 14 2005 Grigory Milev <week@altlinux.ru> 2.15-alt4
- return unpackage file hcitool

* Thu Mar 17 2005 Grigory Milev <week@altlinux.ru> 2.15-alt3
- move misc tool to separate package

* Tue Mar 15 2005 Grigory Milev <week@altlinux.ru> 2.15-alt2
- Fix build requires

* Mon Mar 14 2005 Grigory Milev <week@altlinux.ru> 2.15-alt1
- new version released

* Mon Mar 14 2005 Grigory Milev <week@altlinux.ru> 2.13-alt3
- remove requires to python

* Wed Jan 12 2005 Grigory Milev <week@altlinux.ru> 2.13-alt2
- fixed build requires

* Tue Jan 11 2005 Grigory Milev <week@altlinux.ru> 2.13-alt1
- new version released
- turn off HIDD_ENABLE on default config

* Tue Nov  2 2004 Grigory Milev <week@altlinux.ru> 2.10-alt2
- Start bluez utils after hotplug

* Thu Sep 23 2004 Grigory Milev <week@altlinux.ru> 2.10-alt1
- new version released

* Wed Jul 14 2004 Grigory Milev <week@altlinux.ru> 2.7-alt3
- fixed startup script for work with chkconfig

* Mon Jun 28 2004 Grigory Milev <week@altlinux.ru> 2.7-alt2
- fix requires

* Mon Jun 21 2004 Grigory Milev <week@altlinux.ru> 2.7-alt1
- fixating init script (not all)
- bluez-sdp orphaned, currently moved to bluez-utils
- new version released

* Thu Jun  3 2004 Grigory Milev <week@altlinux.ru> 2.4-alt2
- rebuild with new python

* Tue Feb 24 2004 Grigory Milev <week@altlinux.ru> 2.4-alt1
- new version released
- move pcmcia scripts to separate package
- fix bluepin script

* Tue Oct 14 2003 Grigory Milev <week@altlinux.ru> 2.3-alt1
- new version released
- fix initscript for start/stop daemon support
- add modutils configuration

* Mon Mar 31 2003 Grigory Milev <week@altlinux.ru> 2.2-alt2
- move /dev/vhci to package MAKEDEV

* Tue Feb 18 2003 Grigory Milev <week@altlinux.ru> 2.2-alt1
- new version released

* Fri Dec 20 2002 Grigory Milev <week@altlinux.ru> 2.1-alt1
- Initial build.



